Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161457 - No sound when doing the sound card detection on our x86_64 machines
Summary: No sound when doing the sound card detection on our x86_64 machines
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: system-config-soundcard
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-23 15:38 UTC by Dwight Marzolf
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-13 13:00:37 UTC


Attachments (Terms of Use)

Description Dwight Marzolf 2005-06-23 15:38:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041231

Description of problem:
When I select the sound card detection option from the RedHat menu it brings up the gui that appears to find a card but when I click to play the sample sound I get no sound.  The hardware is the SUN v1100z and 2100z workstations.  I'm not sure what I'm missing for getting sound from these machines.  In the /var/log/messages file I have the following error messages:

Jun 20 13:30:52 miami kernel: i810: AMD-8111 IOHub found at IO 0x1400 and 0x1000, MEM 0x0000 and 0x0000, IRQ 17
Jun 20 13:30:53 miami kernel: i810_audio: Audio Controller supports 6 channels.
Jun 20 13:30:53 miami kernel: i810_audio: Defaulting to base 2 channel mode.
Jun 20 13:30:53 miami kernel: i810_audio: Resetting connection 0
Jun 20 13:30:53 miami kernel: ac97_codec: AC97  codec, id: ALG96 (Unknown)
Jun 20 13:30:53 miami kernel: i810_audio: only 48Khz playback available.
Jun 20 13:30:53 miami kernel: i810_audio: AC'97 codec 0 Unable to map surround DAC's (or DAC's not present), total channels = 2
Jun 20 13:31:15 miami modprobe: modprobe: Can't locate module sound-slot-1
Jun 20 13:31:15 miami modprobe: modprobe: Can't locate module sound-service-1-0
Jun 20 13:31:15 miami modprobe: modprobe: Can't locate module sound-slot-1
Jun 20 13:31:15 miami modprobe: modprobe: Can't locate module sound-service-1-0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log onto a Sun 1100z
2.RedHat menu -> System Settings -> Soundcard Detection
3.Click on the box to play the sample sound
  

Actual Results:  I hear no sound.  There is a popup box asking me if I heard a sound.  When I click NO, it says that a sound card was not detected and all the guis disappear.

Expected Results:  I should have heard the sample sound.

Additional info:

I'm not sure if I can classify this as a bug but I can't get sound out of these boxes, and I haven't found any clear answers searching the web.  It might be something simple I'm missing.

Comment 1 Bill Nottingham 2005-06-23 17:07:38 UTC
What happens if you run a mixer and set the sound there? Is it then audible if
you re-run the tool?

Comment 2 Dwight Marzolf 2005-06-23 17:42:55 UTC
I assume you are talking about using the volume control gui from the Red Hat
menu.  I have put the volume on that up to full 100% and removed the lock check
mark and I still get no sound.

Comment 4 Martin Stransky 2005-07-22 08:59:27 UTC
Could you attach output of 'aplay -l' and lsmod?

Could you check aplay utility from console (and with/without KDE/arts)?
(e.g. aplay -D default /usr/share/sounds/phone.wav)

Could you attach your /etc/modprobe.conf?

Which files do you have in /etc/alsa/pcm?


Note You need to log in before you can comment on or make changes to this bug.